Name: foo2zjs
Version: 20070520
Release: alt0.4

Summary: ZJS (some HP/Minolta) printer driver
License: GPL
Group: System/Configuration/Hardware

Url: http://foo2zjs.rkkda.com
Source0: %url/%name.tar.gz
Patch1: foo2zjs.make.patch
Patch2: foo2zjs-20060523-alt-makefile.patch
Patch3: foo2zjs-20060416-alt-hotplug.patch
Packager: Denis Smirnov <mithraen@altlinux.ru>

#PreReq: printer-drivers-utils

# Automatically added by buildreq on Wed May 11 2005 (-bi)
BuildRequires: ghostscript-classic ghostscript-common ghostscript-module-X ghostscript-utils groff-base psutils libgutenprint
BuildRequires: groff-ps
BuildRequires: foomatic-filters

%def_without foomaticdb

%description
This package contains %name drivers for printers using ZjStream
wire protocol, including:

* Minolta/QMS magicolor 2300/2200
* Konica Minolta magicolor 2430 DL/2530
* Minolta Color PageWorks/Pro L
* HP LaserJet 1000/1005/1018/1020/1022/M1005MFP
* HP Color LaserJet 2600n (foo2hp)
* Samsung CLP-300/CLP-600/CLX-3160
* Xerox Phaser 6110

foo2oak, a linux printer driver for OAKT protocol (e.g. HP Color LaserJet 1500)
is discontinued

%prep
%setup -q -n %name
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%make CFLAGS="%optflags"

%install
# need to prepare these by hand
mkdir -p %buildroot{/bin,%_bindir,%_datadir/cups/model}
mkdir -p %buildroot%_datadir/foomatic/db/source/{driver,opt,printer}
mkdir -p %buildroot%_sysconfdir/udev/rules.d
%make \
	DESTDIR=%buildroot \
	PREFIX=%buildroot%_usr \
	FOODB=%buildroot%_datadir/foomatic/db/source \
	MODEL=%buildroot%_datadir/cups/model \
	install install-hotplug

rm -rf %buildroot%_docdir/%name/

%files
%doc COPYING ChangeLog INSTALL README manual.pdf 
%doc getweb
%_man1dir/*
%_bindir/*
/bin/*
%_sysconfdir/hotplug/usb/*
%_sysconfdir/udev/rules.d/*
%dir %_datadir/foo2zjs/
%_datadir/foo2zjs/*
%_datadir/foo2hp/
%_datadir/foo2qpdl/
%_datadir/foomatic/db/source/*/*
%_datadir/cups/model/*

# discontinued
%exclude %_bindir/foo2oak-wrapper
%exclude %_datadir/cups/model/Generic-OAKT_Printer.ppd.gz
%exclude %_datadir/cups/model/HP-Color_LaserJet_1500.ppd.gz
%exclude %_datadir/man/man1/foo2oak*
%exclude %_datadir/man/man1/oakdecode.1.gz
%exclude %_datadir/foomatic/db/source/opt/foo2oak*

# due to file conflicts with foomatic-db
%if_without foomaticdb
%exclude %_datadir/foomatic/db/source/driver/foo2oak.xml
%exclude %_datadir/foomatic/db/source/driver/foo2zjs.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-ColorMode.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Copies.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Duplex.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-ICM.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Intent.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Nup.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-PageSize.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-PrinterType.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Resolution.xml
%exclude %_datadir/foomatic/db/source/printer/Generic-OAKT_Printer.xml
%exclude %_datadir/foomatic/db/source/printer/HP-Color_LaserJet_1500.xml
%exclude %_datadir/foomatic/db/source/printer/HP-Color_LaserJet_2600n.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1000.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1005.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1020.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1022.xml
%exclude %_datadir/foomatic/db/source/printer/Minolta-Color_PageWorks_Pro_L.xml
%exclude %_datadir/foomatic/db/source/printer/Minolta-magicolor_2200_DL.xml
%exclude %_datadir/foomatic/db/source/printer/Minolta-magicolor_2300_DL.xml
%exclude %_datadir/foomatic/db/source/printer/Minolta-magicolor_2430_DL.xml

%exclude %_datadir/foomatic/db/source/printer/HP-Color_LaserJet_1600.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_M1005_MFP.xml
%exclude %_datadir/foomatic/db/source/printer/Samsung-CLP-300.xml
%exclude %_datadir/foomatic/db/source/printer/Samsung-CLP-600.xml
%exclude %_datadir/foomatic/db/source/printer/Xerox-Phaser-6115MFP.xml
%endif

%changelog
* Wed Apr 02 2008 Evgeny Shishkov <evgen@svi.pp.ru> 20070502-alt0.4
- rebuild for current foomatic

* Fri Nov 23 2007 Michael Shigorin <mike@altlinux.org> 20070520-alt0.3
- following Sisyphus package change (20060523-alt0.8):
  + Remove requires to printer-drivers-utils

* Mon May 28 2007 Michael Shigorin <mike@altlinux.org> 20070520-alt0.2
- rebuilt for Daedalus (should be good enough for Sisyphus
  but a bit of careful testing should be better)
- Dmitriy also rediffed patches, cleaned up spec and noted
  that foo2oak driver (HP LJ1500) is discontinued

* Sun May 27 2007 Dmitriy Shadrinov <shadrinovdd@ystu.ru> 20070520-alt0.1
- updated to 2007-05-20 tarball

* Sat May 26 2007 Michael Shigorin <mike@altlinux.org> 20060523-alt0.4
- updated udev rules file to current fashion;
  thanks Dmitriy Shadrinov <shadrinovdd ystu ru>
  for investigation and fix proposal

* Thu Nov 02 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.3
- actually *excluded* and not just mentioned in changelog (#10223):
  HP-Color_LaserJet_2600n.xml
  HP-LaserJet_1020.xml
  Minolta-magicolor_2300_DL.xml
  (thanks Artem Zolochevskiy <azol@> for bringing this up)

* Sat Aug 05 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.2
- excluded these due to file conflict with foomatic-db-3.0.2-alt3:
  HP-Color_LaserJet_2600n.xml
  HP-LaserJet_1020.xml
  Minolta-magicolor_2300_DL.xml
  (if you happen to miss them, check current foomatic-db)

* Sun Jun 25 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.1
- built for Sisyphus (NMU or takeover?)
- NB: it's older snapshot, there are new features in the newer one
  but I can't test (and don't need) them; so leaving 2006-06-25 alone
  (if you have HP2600 or udev troubles with HP10xx, try that too;
  please note the ICM file has different copyright terms, see the 
  website and/or use getweb script)

* Wed May 24 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.1.M30.1
- 20060523 tarball
  + should support HP LaserJet 1018 and 1022
- updated patch2
- excluded HP1022 PPD (conflicts with foomatic-db-3.0.2-alt1.20050404)

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 20060416-alt0.1.M30.1
- added hotplug/udev support
- patched hotplug script and makefile to play nice to packaging
- moved usb_printerid back to /bin (as intended)

* Tue Apr 18 2006 Michael Shigorin <mike@altlinux.org> 20060416-alt0.0.M30.1
- updated to 2006-04-16 tarball (judging on ChangeLog)
- spec cleanup
  + moved actual build to %%build section
  + borrowed a couple of things from Conectiva spec
- extended makefile patch (handle athlon, fix add'l binaries installation)
- added groff-ps to buildrequires so that groff works during build
- added foo2zjs, foo2hp ICM profiles
- added PPDs
- exclude a bunch of Foomatic XML by default since it collides
  with foomatic-db-3.0.2-alt1.20050404

* Wed May 11 2005 Denis Smirnov <mithraen@altlinux.ru> 1.59-alt1
- first build for sisyphus

